#ifndef TRAINEESVIEW_H
#define TRAINEESVIEW_H

#include "instructorsAndTrainees_global.h"
#include "commonview.h"

//Родительский класс представления БД Обучаемых (для просмотра и управления)

class TraineesView: public CommonView
{
    Q_OBJECT

public:
    TraineesView(ConnectorToServer* connectorToServer, TypeView type, QWidget *parent = nullptr);

public Q_SLOTS:
    //Слот обработки сигнала необходимости обновления интерфейса
    void slot_NeedUpdateUI(bool treeInstructor, bool treeTrainee);

protected:
    virtual void updateButtons(){};
    void loadTraineesFromDB();
    void setCurrentGroup(int id);
    void setCurrentTrainee(int id);
};

#endif // TRAINEESVIEW_H
